"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AutoScaling = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const AutoScalingClient_1 = require("./AutoScalingClient");
const AttachInstancesCommand_1 = require("./commands/AttachInstancesCommand");
const AttachLoadBalancersCommand_1 = require("./commands/AttachLoadBalancersCommand");
const AttachLoadBalancerTargetGroupsCommand_1 = require("./commands/AttachLoadBalancerTargetGroupsCommand");
const AttachTrafficSourcesCommand_1 = require("./commands/AttachTrafficSourcesCommand");
const BatchDeleteScheduledActionCommand_1 = require("./commands/BatchDeleteScheduledActionCommand");
const BatchPutScheduledUpdateGroupActionCommand_1 = require("./commands/BatchPutScheduledUpdateGroupActionCommand");
const CancelInstanceRefreshCommand_1 = require("./commands/CancelInstanceRefreshCommand");
const CompleteLifecycleActionCommand_1 = require("./commands/CompleteLifecycleActionCommand");
const CreateAutoScalingGroupCommand_1 = require("./commands/CreateAutoScalingGroupCommand");
const CreateLaunchConfigurationCommand_1 = require("./commands/CreateLaunchConfigurationCommand");
const CreateOrUpdateTagsCommand_1 = require("./commands/CreateOrUpdateTagsCommand");
const DeleteAutoScalingGroupCommand_1 = require("./commands/DeleteAutoScalingGroupCommand");
const DeleteLaunchConfigurationCommand_1 = require("./commands/DeleteLaunchConfigurationCommand");
const DeleteLifecycleHookCommand_1 = require("./commands/DeleteLifecycleHookCommand");
const DeleteNotificationConfigurationCommand_1 = require("./commands/DeleteNotificationConfigurationCommand");
const DeletePolicyCommand_1 = require("./commands/DeletePolicyCommand");
const DeleteScheduledActionCommand_1 = require("./commands/DeleteScheduledActionCommand");
const DeleteTagsCommand_1 = require("./commands/DeleteTagsCommand");
const DeleteWarmPoolCommand_1 = require("./commands/DeleteWarmPoolCommand");
const DescribeAccountLimitsCommand_1 = require("./commands/DescribeAccountLimitsCommand");
const DescribeAdjustmentTypesCommand_1 = require("./commands/DescribeAdjustmentTypesCommand");
const DescribeAutoScalingGroupsCommand_1 = require("./commands/DescribeAutoScalingGroupsCommand");
const DescribeAutoScalingInstancesCommand_1 = require("./commands/DescribeAutoScalingInstancesCommand");
const DescribeAutoScalingNotificationTypesCommand_1 = require("./commands/DescribeAutoScalingNotificationTypesCommand");
const DescribeInstanceRefreshesCommand_1 = require("./commands/DescribeInstanceRefreshesCommand");
const DescribeLaunchConfigurationsCommand_1 = require("./commands/DescribeLaunchConfigurationsCommand");
const DescribeLifecycleHooksCommand_1 = require("./commands/DescribeLifecycleHooksCommand");
const DescribeLifecycleHookTypesCommand_1 = require("./commands/DescribeLifecycleHookTypesCommand");
const DescribeLoadBalancersCommand_1 = require("./commands/DescribeLoadBalancersCommand");
const DescribeLoadBalancerTargetGroupsCommand_1 = require("./commands/DescribeLoadBalancerTargetGroupsCommand");
const DescribeMetricCollectionTypesCommand_1 = require("./commands/DescribeMetricCollectionTypesCommand");
const DescribeNotificationConfigurationsCommand_1 = require("./commands/DescribeNotificationConfigurationsCommand");
const DescribePoliciesCommand_1 = require("./commands/DescribePoliciesCommand");
const DescribeScalingActivitiesCommand_1 = require("./commands/DescribeScalingActivitiesCommand");
const DescribeScalingProcessTypesCommand_1 = require("./commands/DescribeScalingProcessTypesCommand");
const DescribeScheduledActionsCommand_1 = require("./commands/DescribeScheduledActionsCommand");
const DescribeTagsCommand_1 = require("./commands/DescribeTagsCommand");
const DescribeTerminationPolicyTypesCommand_1 = require("./commands/DescribeTerminationPolicyTypesCommand");
const DescribeTrafficSourcesCommand_1 = require("./commands/DescribeTrafficSourcesCommand");
const DescribeWarmPoolCommand_1 = require("./commands/DescribeWarmPoolCommand");
const DetachInstancesCommand_1 = require("./commands/DetachInstancesCommand");
const DetachLoadBalancersCommand_1 = require("./commands/DetachLoadBalancersCommand");
const DetachLoadBalancerTargetGroupsCommand_1 = require("./commands/DetachLoadBalancerTargetGroupsCommand");
const DetachTrafficSourcesCommand_1 = require("./commands/DetachTrafficSourcesCommand");
const DisableMetricsCollectionCommand_1 = require("./commands/DisableMetricsCollectionCommand");
const EnableMetricsCollectionCommand_1 = require("./commands/EnableMetricsCollectionCommand");
const EnterStandbyCommand_1 = require("./commands/EnterStandbyCommand");
const ExecutePolicyCommand_1 = require("./commands/ExecutePolicyCommand");
const ExitStandbyCommand_1 = require("./commands/ExitStandbyCommand");
const GetPredictiveScalingForecastCommand_1 = require("./commands/GetPredictiveScalingForecastCommand");
const PutLifecycleHookCommand_1 = require("./commands/PutLifecycleHookCommand");
const PutNotificationConfigurationCommand_1 = require("./commands/PutNotificationConfigurationCommand");
const PutScalingPolicyCommand_1 = require("./commands/PutScalingPolicyCommand");
const PutScheduledUpdateGroupActionCommand_1 = require("./commands/PutScheduledUpdateGroupActionCommand");
const PutWarmPoolCommand_1 = require("./commands/PutWarmPoolCommand");
const RecordLifecycleActionHeartbeatCommand_1 = require("./commands/RecordLifecycleActionHeartbeatCommand");
const ResumeProcessesCommand_1 = require("./commands/ResumeProcessesCommand");
const RollbackInstanceRefreshCommand_1 = require("./commands/RollbackInstanceRefreshCommand");
const SetDesiredCapacityCommand_1 = require("./commands/SetDesiredCapacityCommand");
const SetInstanceHealthCommand_1 = require("./commands/SetInstanceHealthCommand");
const SetInstanceProtectionCommand_1 = require("./commands/SetInstanceProtectionCommand");
const StartInstanceRefreshCommand_1 = require("./commands/StartInstanceRefreshCommand");
const SuspendProcessesCommand_1 = require("./commands/SuspendProcessesCommand");
const TerminateInstanceInAutoScalingGroupCommand_1 = require("./commands/TerminateInstanceInAutoScalingGroupCommand");
const UpdateAutoScalingGroupCommand_1 = require("./commands/UpdateAutoScalingGroupCommand");
const commands = {
    AttachInstancesCommand: AttachInstancesCommand_1.AttachInstancesCommand,
    AttachLoadBalancersCommand: AttachLoadBalancersCommand_1.AttachLoadBalancersCommand,
    AttachLoadBalancerTargetGroupsCommand: AttachLoadBalancerTargetGroupsCommand_1.AttachLoadBalancerTargetGroupsCommand,
    AttachTrafficSourcesCommand: AttachTrafficSourcesCommand_1.AttachTrafficSourcesCommand,
    BatchDeleteScheduledActionCommand: BatchDeleteScheduledActionCommand_1.BatchDeleteScheduledActionCommand,
    BatchPutScheduledUpdateGroupActionCommand: BatchPutScheduledUpdateGroupActionCommand_1.BatchPutScheduledUpdateGroupActionCommand,
    CancelInstanceRefreshCommand: CancelInstanceRefreshCommand_1.CancelInstanceRefreshCommand,
    CompleteLifecycleActionCommand: CompleteLifecycleActionCommand_1.CompleteLifecycleActionCommand,
    CreateAutoScalingGroupCommand: CreateAutoScalingGroupCommand_1.CreateAutoScalingGroupCommand,
    CreateLaunchConfigurationCommand: CreateLaunchConfigurationCommand_1.CreateLaunchConfigurationCommand,
    CreateOrUpdateTagsCommand: CreateOrUpdateTagsCommand_1.CreateOrUpdateTagsCommand,
    DeleteAutoScalingGroupCommand: DeleteAutoScalingGroupCommand_1.DeleteAutoScalingGroupCommand,
    DeleteLaunchConfigurationCommand: DeleteLaunchConfigurationCommand_1.DeleteLaunchConfigurationCommand,
    DeleteLifecycleHookCommand: DeleteLifecycleHookCommand_1.DeleteLifecycleHookCommand,
    DeleteNotificationConfigurationCommand: DeleteNotificationConfigurationCommand_1.DeleteNotificationConfigurationCommand,
    DeletePolicyCommand: DeletePolicyCommand_1.DeletePolicyCommand,
    DeleteScheduledActionCommand: DeleteScheduledActionCommand_1.DeleteScheduledActionCommand,
    DeleteTagsCommand: DeleteTagsCommand_1.DeleteTagsCommand,
    DeleteWarmPoolCommand: DeleteWarmPoolCommand_1.DeleteWarmPoolCommand,
    DescribeAccountLimitsCommand: DescribeAccountLimitsCommand_1.DescribeAccountLimitsCommand,
    DescribeAdjustmentTypesCommand: DescribeAdjustmentTypesCommand_1.DescribeAdjustmentTypesCommand,
    DescribeAutoScalingGroupsCommand: DescribeAutoScalingGroupsCommand_1.DescribeAutoScalingGroupsCommand,
    DescribeAutoScalingInstancesCommand: DescribeAutoScalingInstancesCommand_1.DescribeAutoScalingInstancesCommand,
    DescribeAutoScalingNotificationTypesCommand: DescribeAutoScalingNotificationTypesCommand_1.DescribeAutoScalingNotificationTypesCommand,
    DescribeInstanceRefreshesCommand: DescribeInstanceRefreshesCommand_1.DescribeInstanceRefreshesCommand,
    DescribeLaunchConfigurationsCommand: DescribeLaunchConfigurationsCommand_1.DescribeLaunchConfigurationsCommand,
    DescribeLifecycleHooksCommand: DescribeLifecycleHooksCommand_1.DescribeLifecycleHooksCommand,
    DescribeLifecycleHookTypesCommand: DescribeLifecycleHookTypesCommand_1.DescribeLifecycleHookTypesCommand,
    DescribeLoadBalancersCommand: DescribeLoadBalancersCommand_1.DescribeLoadBalancersCommand,
    DescribeLoadBalancerTargetGroupsCommand: DescribeLoadBalancerTargetGroupsCommand_1.DescribeLoadBalancerTargetGroupsCommand,
    DescribeMetricCollectionTypesCommand: DescribeMetricCollectionTypesCommand_1.DescribeMetricCollectionTypesCommand,
    DescribeNotificationConfigurationsCommand: DescribeNotificationConfigurationsCommand_1.DescribeNotificationConfigurationsCommand,
    DescribePoliciesCommand: DescribePoliciesCommand_1.DescribePoliciesCommand,
    DescribeScalingActivitiesCommand: DescribeScalingActivitiesCommand_1.DescribeScalingActivitiesCommand,
    DescribeScalingProcessTypesCommand: DescribeScalingProcessTypesCommand_1.DescribeScalingProcessTypesCommand,
    DescribeScheduledActionsCommand: DescribeScheduledActionsCommand_1.DescribeScheduledActionsCommand,
    DescribeTagsCommand: DescribeTagsCommand_1.DescribeTagsCommand,
    DescribeTerminationPolicyTypesCommand: DescribeTerminationPolicyTypesCommand_1.DescribeTerminationPolicyTypesCommand,
    DescribeTrafficSourcesCommand: DescribeTrafficSourcesCommand_1.DescribeTrafficSourcesCommand,
    DescribeWarmPoolCommand: DescribeWarmPoolCommand_1.DescribeWarmPoolCommand,
    DetachInstancesCommand: DetachInstancesCommand_1.DetachInstancesCommand,
    DetachLoadBalancersCommand: DetachLoadBalancersCommand_1.DetachLoadBalancersCommand,
    DetachLoadBalancerTargetGroupsCommand: DetachLoadBalancerTargetGroupsCommand_1.DetachLoadBalancerTargetGroupsCommand,
    DetachTrafficSourcesCommand: DetachTrafficSourcesCommand_1.DetachTrafficSourcesCommand,
    DisableMetricsCollectionCommand: DisableMetricsCollectionCommand_1.DisableMetricsCollectionCommand,
    EnableMetricsCollectionCommand: EnableMetricsCollectionCommand_1.EnableMetricsCollectionCommand,
    EnterStandbyCommand: EnterStandbyCommand_1.EnterStandbyCommand,
    ExecutePolicyCommand: ExecutePolicyCommand_1.ExecutePolicyCommand,
    ExitStandbyCommand: ExitStandbyCommand_1.ExitStandbyCommand,
    GetPredictiveScalingForecastCommand: GetPredictiveScalingForecastCommand_1.GetPredictiveScalingForecastCommand,
    PutLifecycleHookCommand: PutLifecycleHookCommand_1.PutLifecycleHookCommand,
    PutNotificationConfigurationCommand: PutNotificationConfigurationCommand_1.PutNotificationConfigurationCommand,
    PutScalingPolicyCommand: PutScalingPolicyCommand_1.PutScalingPolicyCommand,
    PutScheduledUpdateGroupActionCommand: PutScheduledUpdateGroupActionCommand_1.PutScheduledUpdateGroupActionCommand,
    PutWarmPoolCommand: PutWarmPoolCommand_1.PutWarmPoolCommand,
    RecordLifecycleActionHeartbeatCommand: RecordLifecycleActionHeartbeatCommand_1.RecordLifecycleActionHeartbeatCommand,
    ResumeProcessesCommand: ResumeProcessesCommand_1.ResumeProcessesCommand,
    RollbackInstanceRefreshCommand: RollbackInstanceRefreshCommand_1.RollbackInstanceRefreshCommand,
    SetDesiredCapacityCommand: SetDesiredCapacityCommand_1.SetDesiredCapacityCommand,
    SetInstanceHealthCommand: SetInstanceHealthCommand_1.SetInstanceHealthCommand,
    SetInstanceProtectionCommand: SetInstanceProtectionCommand_1.SetInstanceProtectionCommand,
    StartInstanceRefreshCommand: StartInstanceRefreshCommand_1.StartInstanceRefreshCommand,
    SuspendProcessesCommand: SuspendProcessesCommand_1.SuspendProcessesCommand,
    TerminateInstanceInAutoScalingGroupCommand: TerminateInstanceInAutoScalingGroupCommand_1.TerminateInstanceInAutoScalingGroupCommand,
    UpdateAutoScalingGroupCommand: UpdateAutoScalingGroupCommand_1.UpdateAutoScalingGroupCommand,
};
class AutoScaling extends AutoScalingClient_1.AutoScalingClient {
}
exports.AutoScaling = AutoScaling;
(0, smithy_client_1.createAggregatedClient)(commands, AutoScaling);
