import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { CreateLaunchConfigurationType } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateLaunchConfigurationCommandInput
  extends CreateLaunchConfigurationType {}
export interface CreateLaunchConfigurationCommandOutput
  extends __MetadataBearer {}
export declare class CreateLaunchConfigurationCommand extends $Command<
  CreateLaunchConfigurationCommandInput,
  CreateLaunchConfigurationCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: CreateLaunchConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateLaunchConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateLaunchConfigurationCommandInput,
    CreateLaunchConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
