import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { DeleteAutoScalingGroupType } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAutoScalingGroupCommandInput
  extends DeleteAutoScalingGroupType {}
export interface DeleteAutoScalingGroupCommandOutput extends __MetadataBearer {}
export declare class DeleteAutoScalingGroupCommand extends $Command<
  DeleteAutoScalingGroupCommandInput,
  DeleteAutoScalingGroupCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DeleteAutoScalingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAutoScalingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAutoScalingGroupCommandInput,
    DeleteAutoScalingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
