import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  DescribeInstanceRefreshesAnswer,
  DescribeInstanceRefreshesType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeInstanceRefreshesCommandInput
  extends DescribeInstanceRefreshesType {}
export interface DescribeInstanceRefreshesCommandOutput
  extends DescribeInstanceRefreshesAnswer,
    __MetadataBearer {}
export declare class DescribeInstanceRefreshesCommand extends $Command<
  DescribeInstanceRefreshesCommandInput,
  DescribeInstanceRefreshesCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeInstanceRefreshesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInstanceRefreshesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeInstanceRefreshesCommandInput,
    DescribeInstanceRefreshesCommandOutput
  >;
  private serialize;
  private deserialize;
}
