import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  ActivitiesType,
  DescribeScalingActivitiesType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DescribeScalingActivitiesCommandInput
  extends DescribeScalingActivitiesType {}
export interface DescribeScalingActivitiesCommandOutput
  extends ActivitiesType,
    __MetadataBearer {}
export declare class DescribeScalingActivitiesCommand extends $Command<
  DescribeScalingActivitiesCommandInput,
  DescribeScalingActivitiesCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DescribeScalingActivitiesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeScalingActivitiesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeScalingActivitiesCommandInput,
    DescribeScalingActivitiesCommandOutput
  >;
  private serialize;
  private deserialize;
}
