import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import {
  DetachTrafficSourcesResultType,
  DetachTrafficSourcesType,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DetachTrafficSourcesCommandInput
  extends DetachTrafficSourcesType {}
export interface DetachTrafficSourcesCommandOutput
  extends DetachTrafficSourcesResultType,
    __MetadataBearer {}
export declare class DetachTrafficSourcesCommand extends $Command<
  DetachTrafficSourcesCommandInput,
  DetachTrafficSourcesCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: DetachTrafficSourcesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachTrafficSourcesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DetachTrafficSourcesCommandInput,
    DetachTrafficSourcesCommandOutput
  >;
  private serialize;
  private deserialize;
}
