import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  AutoScalingClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../AutoScalingClient";
import { UpdateAutoScalingGroupType } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface UpdateAutoScalingGroupCommandInput
  extends UpdateAutoScalingGroupType {}
export interface UpdateAutoScalingGroupCommandOutput extends __MetadataBearer {}
export declare class UpdateAutoScalingGroupCommand extends $Command<
  UpdateAutoScalingGroupCommandInput,
  UpdateAutoScalingGroupCommandOutput,
  AutoScalingClientResolvedConfig
> {
  readonly input: UpdateAutoScalingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAutoScalingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: AutoScalingClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAutoScalingGroupCommandInput,
    UpdateAutoScalingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
